## ros-melodic-fcl-catkin 0.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(fcl_catkin)

find_package(catkin REQUIRED)
include(ExternalProject)

set(HOST_OPTIMIZATION OFF)

ExternalProject_Add(fcl_src
  URL https://github.com/flexible-collision-library/fcl/archive/v0.6.1.zip
  URL_MD5 def0868c8aa96495a696d9210d557f4c
  UPDATE_COMMAND ""
  CMAKE_ARGS -DCMAKE_INSTALL_PREFIX:PATH=${PROJECT_BINARY_DIR}/install -DFCL_BUILD_TESTS:BOOL=OFF -DFCL_USE_HOST_NATIVE_ARCH:BOOL=OFF -DFCL_USE_X64_SSE:BOOL=${HOST_OPTIMIZATION} -DCMAKE_INSTALL_LIBDIR=lib
)
ExternalProject_Add_Step(fcl_src CopyToDevel
  COMMENT "Copying to devel"
  COMMAND ${CMAKE_COMMAND} -E copy_directory ${PROJECT_BINARY_DIR}/install/include/fcl ${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME}/fcl
  COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/install/lib/libfcl.so.0.6.1 ${CATKIN_DEVEL_PREFIX}/lib/libfcl.so.0.6
  DEPENDEES install
)

if(IS_DIRECTORY ${CMAKE_INSTALL_PREFIX})
  # message(WARNING "Compiling for install workspace (${CMAKE_INSTALL_PREFIX})")
  catkin_package(
    INCLUDE_DIRS include/${PROJECT_NAME}
    LIBRARIES libfcl.so.0.6
  )
else()
  # message(WARNING "Compiling for devel workspace")
  file(MAKE_DIRECTORY ${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME})
  catkin_package(
    INCLUDE_DIRS ${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME} include/${PROJECT_NAME}
    LIBRARIES libfcl.so.0.6
  )
endif()

install(
  DIRECTORY ${CATKIN_DEVEL_PREFIX}/include
  DESTINATION ${CMAKE_INSTALL_PREFIX}
)
install(
  FILES ${CATKIN_DEVEL_PREFIX}/lib/libfcl.so.0.6
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-melodic-fcl-catkin (0.6.1-2stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Mon, 20 Apr 2020 16:42:05 -0000

ros-melodic-fcl-catkin (0.6.0-2stretch) stretch; urgency=high

  * Update to v0.6.0
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-fcl-catkin (0.5.99-2stretch) stretch; urgency=high



 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Sat, 14 Sep 2019 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-fcl-catkin
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <w.merkt+oss@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libccd-dev, libeigen3-dev, ros-melodic-catkin, ros-melodic-octomap
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-fcl-catkin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libccd-dev, libeigen3-dev, ros-melodic-octomap
Description: fcl_catkin
